commit:     7b9cd5c7c87251cb757342e30dc57b493b9190ef
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  9 13:31:44 2018 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Nov  9 13:42:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b9cd5c7

dev-python/pytest-cov: eapi7 + py3_7

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 dev-python/pytest-cov/pytest-cov-2.5.1-r2.ebuild | 57 ++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

diff --git a/dev-python/pytest-cov/pytest-cov-2.5.1-r2.ebuild 
b/dev-python/pytest-cov/pytest-cov-2.5.1-r2.ebuild
new file mode 100644
index 00000000000..98fb738ccee
--- /dev/null
+++ b/dev-python/pytest-cov/pytest-cov-2.5.1-r2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="py.test plugin for coverage reporting"
+HOMEPAGE="https://github.com/pytest-dev/pytest-cov 
https://pypi.org/project/pytest-cov/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-fbsd"
+IUSE="doc test"
+
+RDEPEND="
+       >=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+       >=dev-python/pytest-2.7.3[${PYTHON_USEDEP}]
+       >=dev-python/cov-core-1.14.0[${PYTHON_USEDEP}]
+       >=dev-python/coverage-3.7.1[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-py3doc-enhanced-theme[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               dev-python/fields[${PYTHON_USEDEP}]
+               dev-python/process-tests[${PYTHON_USEDEP}]
+               || (
+                       >=dev-python/pytest-2.8.0[${PYTHON_USEDEP}]
+                       dev-python/pytest-cache[${PYTHON_USEDEP}]
+               )
+               >=dev-python/pytest-xdist-1.15.0[${PYTHON_USEDEP}]
+               dev-python/pytest-capturelog[${PYTHON_USEDEP}]
+       )
+"
+
+python_compile_all() {
+       use doc && sphinx-build -b html docs _build/html
+}
+
+python_test() {
+       PYTHONPATH="${S}/tests:${BUILD_DIR}/lib" \
+               PYTEST_PLUGINS=${PN/-/_} \
+               py.test -v -v -x || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( _build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to